Package pygccxml :: Package declarations :: Module cpptypes :: Class type_qualifiers_t

# type type_qualifiers_t

source code

    object --+
             |
            type_qualifiers_t

contains additional information about type: mutable, static, extern

Instance Methods

__init__(self, has_static=False, has_mutable=False) | source code

__eq__(self, other) | source code

__ne__(self, other) | source code

__lt__(self, other) | source code

Properties
| has_static
| has_extern
| has_mutable

Method Details

### __init__(self, has_static=False, has_mutable=False)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### has_static

Get Method:
  _get_has_static(self)
Set Method:
  _set_has_static(self, has_static)

### has_extern

Get Method:
  _get_has_static(self)
Set Method:
  _set_has_static(self, has_static)

### has_mutable

Get Method:
  _get_has_mutable(self)
Set Method:
  _set_has_mutable(self, has_mutable)